Skip to main content
DELETE
/
assets
/
{assetId}
/
blocks
/
{blockId}
Delete a block
curl --request DELETE \
  --url https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId} \
  --header 'Authorization: <api-key>'
import requests

url = "https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}"

headers = {"Authorization": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("Authorization", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}


HttpResponse<String> response = Unirest.delete("https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}")
.header("Authorization", "<api-key>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://versuno.ai/api/public/assets/{assetId}/blocks/{blockId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.DeleteAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deletedBlockId": "<string>",
  "content": "<string>",
  "contentBlocks": [
    {
      "id": "b_35effee2-0c97-463b-9a0a-8973eca1b4da",
      "type": "paragraph",
      "meta": {},
      "content": "This block was updated",
      "inline": [
        {}
      ],
      "children": "<array>"
    }
  ]
}
{
"error": "Wrong data: assetType is required"
}
{
"error": "Invalid API key"
}
{
"error": "Forbidden"
}
{
"error": "Not found"
}

Authorizations

Authorization
string
header
default:Bearer uk_live_your_api_key_here
required

Versuno API key. Must be prefixed with Bearer. Format: Bearer uk_live_...

Path Parameters

assetId
string<uuid>
required
blockId
string
required

Query Parameters

assetType
enum<string>

Optional type guard. If supplied, it must match the asset's actual type.

Available options:
prompt,
persona,
context,
system_prompt,
skill

Response

Block deleted.

assetId
string<uuid>
deletedBlockId
string
content
string
contentBlocks
object[]